# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['omnizart',
 'omnizart.chord',
 'omnizart.cli',
 'omnizart.cli.chord',
 'omnizart.cli.drum',
 'omnizart.cli.music',
 'omnizart.constants',
 'omnizart.constants.schema',
 'omnizart.drum',
 'omnizart.feature',
 'omnizart.models',
 'omnizart.music']

package_data = \
{'': ['*'],
 'omnizart': ['checkpoints/music/music_piano/arch.yaml',
              'checkpoints/music/music_piano/arch.yaml',
              'checkpoints/music/music_piano/arch.yaml',
              'checkpoints/music/music_piano/configuration.json',
              'checkpoints/music/music_piano/configuration.json',
              'checkpoints/music/music_piano/configuration.json',
              'checkpoints/music/music_piano/configurations.yaml',
              'checkpoints/music/music_piano/configurations.yaml',
              'checkpoints/music/music_piano/configurations.yaml',
              'defaults/*',
              'resource/*',
              'resource/vamp/*']}

install_requires = \
['click>=7.1.2,<8.0.0',
 'jsonschema>=3.2.0,<4.0.0',
 'librosa>=0.8.0,<0.9.0',
 'madmom>=0.16.1,<0.17.0',
 'numba==0.48',
 'opencv-python>=4.4.0,<5.0.0',
 'pretty_midi>=0.2.9,<0.3.0',
 'pyfluidsynth>=1.2.5,<2.0.0',
 'pyyaml>=5.3.1,<6.0.0',
 'tensorflow>=2.3.0,<3.0.0',
 'tqdm>=4.49.0,<5.0.0',
 'vamp>=1.1.0,<2.0.0']

entry_points = \
{'console_scripts': ['omnizart = omnizart.cli.cli:entry']}

setup_kwargs = {
    'name': 'omnizart',
    'version': '0.1.0',
    'description': '',
    'long_description': None,
    'author': 'BreezeWhite',
    'author_email': 'freedombluewater@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://sites.google.com/view/mctl/home',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.6,<4.0',
}


setup(**setup_kwargs)

# This setup.py was autogenerated using poetry.
